Bug 232774 - dns/dnsperf broken after dns/bind912 updated
Summary: dns/dnsperf broken after dns/bind912 updated
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Bernhard Froehlich
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2018-10-29 02:41 UTC by leeb
Modified: 2018-12-11 12:36 UTC (History)
4 users (show)

See Also:


Attachments
dnsperf fixes for new bind (5.45 KB, patch)
2018-12-06 11:15 UTC, Bernhard Froehlich
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description leeb 2018-10-29 02:41:37 UTC
When dns/bind912 moved from 480175 to 481891 it broke this port.
Workaround is to revert dns/bin912 temporarily.
Comment 1 Bernhard Froehlich freebsd_committer 2018-12-06 11:15:56 UTC
Created attachment 199883 [details]
dnsperf fixes for new bind

Attached patch fixes building with bind 9.12 and was also runtime tested.

Parts of the fixes were taken from an pull request from upstream [1] which is itself based on a commit from ISC [2]. The other include fixes were mine.


[1] https://github.com/akamai/dnsperf/pull/12/commits/67183819afbdc7a944119ee1bdfb343b3366b6e6
[2] https://gitlab.isc.org/isc-projects/bind9/commit/64fe6bbaf2019f444475dfbf744eb6ea4e619c19
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-11 09:24:29 UTC
Comment on attachment 199883 [details]
dnsperf fixes for new bind

Approved by: portmgr (blanket: fix BROKEN / JFI / regression)
Comment 3 commit-hook freebsd_committer 2018-12-11 12:35:55 UTC
A commit references this bug:

Author: decke
Date: Tue Dec 11 12:34:59 UTC 2018
New revision: 487232
URL: https://svnweb.freebsd.org/changeset/ports/487232

Log:
  dns/dnsperf: Fix building with bind 9.12 and newer

  Patches are partially based on ISC upstream commit
  64fe6bbaf2019f444475dfbf744eb6ea4e619c19 the other
  parts are mine.

  PR:		232774
  Reported by:	leeb@ratnaling.org
  Approved by:	portmgr (blanket)
  Obtained from:	https://gitlab.isc.org/isc-projects/bind9/commit/64fe6bbaf2019f444475dfbf744eb6ea4e619c19

Changes:
  head/dns/dnsperf/Makefile
  head/dns/dnsperf/files/patch-datafile.c
  head/dns/dnsperf/files/patch-dns.c
  head/dns/dnsperf/files/patch-dnsperf.c
  head/dns/dnsperf/files/patch-log.c
  head/dns/dnsperf/files/patch-opt.c
  head/dns/dnsperf/files/patch-os.c
  head/dns/dnsperf/files/patch-resperf.c
Comment 4 Bernhard Froehlich freebsd_committer 2018-12-11 12:36:47 UTC
Committed. Thanks!